Bug 245436

Summary: authd.c contains illegal identifier $_LONGOPT
Product: [Fedora] Fedora Reporter: Lennert Buytenhek <buytenh>
Component: authdAssignee: Ondrej Dvoracek <odvorace>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: odvorace
Target Milestone: ---   
Target Release: ---   
Hardware: arm9   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-09-19 06:28:57 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 245418    
Attachments:
Description Flags
Suggested patch. none

Description Lennert Buytenhek 2007-06-23 03:10:15 EDT
authd.c 1.4.3 has:

    enum { $_LONGOPT = UCHAR_MAX,       // no short opt value overlap

where $_LONGOPT is not a legal identifier.  This causes the build to
bomb out on ARM.  (I wonder why it doesn't bomb out on other archs.)

Attached patch (which changes $_LONGOPT to PRE_FIRST_LONGOPT) seems
to work for me.  I tried finding out whether there is a mailing list
for authd where to submit this patch, but there doesn't seem to be such
a thing, which is why I'm submitting it directly to bugzilla.  Maybe
you can help.

Thanks for your time.
Comment 1 Lennert Buytenhek 2007-06-23 03:10:15 EDT
Created attachment 157676 [details]
Suggested patch.